WS_FTP Pro Directory Listing Buffer Overflow Vulnerability

“…Software: WS_FTP Pro 7.x, WS_FTP Pro 8.x

Description:
A vulnerability has been reported in WS_FTP Pro, which can be exploited by malicious people to cause a DoS (Denial-of-Service) on the application and potentially compromise a user’s system….

The vulnerability has been reported in version 8.0.2 and in version 7.6.2.0 and prior. Other versions may also be affected.

Solution:
The vendor has issued version 8.0.3. However, it has been reported that the vulnerability hasn’t been fixed correctly in the “Evaluation Version” of this release. Registered versions of the release may also be affected.

Connect only to trusted FTP servers.